Part Box/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 29: Line 29:
</div>
</div>


[[Image:Part_Box.jpg|400px|Part_Box]]
[[Image:Part_Box_Example.png|400px]]


== Usage ==
== Usage ==


Las propiedades se pueden editar después en la pestaña de datos del cubo:
<div class="mw-translate-fuzzy">
==Uso==
# Ir a [[Image:Workbench_Part.svg|16px]] [[Part_Workbench/es|Banco de trabajo Part]]
# Hay varias maneras de invocar al comando:
#* Presionando el botón {{Button|[[Image:Part_Box.svg|16px]] Cubo}} en la barra de herramientas.
#* Seleccionar {{MenuCommand|Pieza → Primitivas → [[Image:Part_Box.svg|16px]] Cubo}} desde la barra de menú.
</div>


== Example ==
<div class="mw-translate-fuzzy">
'''Resultado:''' El resultado por defecto es un cubo de la misma longitud, anchura y altura de 10 mm. Está unido al plano global XY y una arista es coincidente con el eje global Z.
</div>


[[Image:Part_Box_Scripting_Example.png|thumb|Part Box from the scripting example]]


A Part Box object created with the [[#Scripting|scripting example]] below is shown here.
Las propiedades del Cubo pueden ser editadas posteriormente, bien desde el editor de propiedades, o bien pinchando con doble clic de ratón sobre la pestaña Modelo del árbol de dependencias.

== Notes ==

* A Part Box can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.


== Properties ==
== Properties ==


See also: [[Property_editor|Property editor]].
{{Properties_Title|Box}}

A Part Box object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Box}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 60: Line 67:


== Scripting ==
== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 76: Line 85:
</div>
</div>


Example:
<div class="mw-translate-fuzzy">
Se puede acceder y modificar los atributos del objeto Box(Cubo). Por ejemplo, si se desean modificar los atributos de longitud, anchura o altura:
</div>


{{Code|code=
{{Code|code=
import FreeCAD as App
box.Length = 25
box.Width = 15
box.Height = 30
}}


doc = App.activeDocument()
Se puede cambiar su emplazamiento con:


box = doc.addObject("Part::Box", "myBox")
{{Code|code=
box.Length = 4
box.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}
}}


Line 104: Line 113:
</div>
</div>


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 09:47, 3 March 2022

Part Cubo

Ubicación en el Menú
Pieza → Primitivas → Cubo
Entornos de trabajo
Part
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Part Crear primitivas

Description

Descripción

El comando Cubo del Banco de trabajo Part inserta un rectangular cuboid, que es una forma primitiva geométrica paramétrica, en el documento activo. Por defecto, el comando Cubo insertará un cubo de 10x10x10 mm, posicionado en el origen, con el nombre "Cubo". Estos parámetros pueden ser modificados tras la creación del objeto.

Usage

Las propiedades se pueden editar después en la pestaña de datos del cubo:

Example

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Notes

  • A Part Box can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

Box

  • DATOSLength o Longitud: Dimensiones del Cubo en la dirección X.
  • DATOSWidth o Anchura: Dimensiones del Cubo en la dirección Y.
  • DATOSHeight o Altura: Dimensiones del Cubo en la dirección Z.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

Programación

El comando Box (Cubo) puede ser usado en las macros y desde la consola de Python usando la siguiente función:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Donde "myBox" es el nombre del objeto Cubo.
  • Devuelve un nuevo objeto creado de tipo Cubo.

Example:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()